Class | Chef::Knife::Core::ObjectLoader
In: | lib/chef/knife/core/object_loader.rb
Parent: | Object

### Methods

file_exists_and_is_readable? find_file load_from new object_from_file

### Attributes

klass | [R] |
ui | [R] |

### Public Class methods

new(klass, ui)

### Public Instance methods

file_exists_and_is_readable?(file)
find_file(repo_location, *components)
load_from(repo_location, *components)
object_from_file(filename)

[Validate]